Last Comment Bug 35228 - Ability to print all odd/even pages
: Ability to print all odd/even pages
Status: REOPENED
: helpwanted
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: x86 All
: P3 enhancement with 13 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 24523 59058 221683 265802 310540 573677 (view as bug list)
Depends on:
Blocks: 125824
  Show dependency treegraph
 
Reported: 2000-04-09 00:30 PDT by Sebastian Späth
Modified: 2012-02-07 05:34 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Sebastian Späth 2000-04-09 00:30:20 PDT
What I really miss in NS is the ability to print out all odd/even pages.
Not everyone has a duplex printer.
Would that have to be different handled in Win/Mac/Uninx?
Comment 1 Jesse Ruderman 2000-04-09 22:07:00 PDT
Do we also need "in reverse order" along with "odd/even" in order to quickly
print a document on both sides of a packet?  Or do all printers take paper in
the same way they spit it out?

Would it also require not using the native print dialog?
Comment 2 dcone (gone) 2000-04-14 08:41:34 PDT
We need a UI inorder to do this.  I could get this going.. but the print dialogs 
need to notify printing.  Giving to Don Melton to handle this aspect.  When the 
UI is setup to specify this.. I can put in the support.
Comment 3 Jesse Ruderman 2000-09-23 15:35:13 PDT
This seems like something that should be done by a separate program between the 
browser and the printer, because this would be useful in most applications use 
the printer.  I'd say the same thing about print preview, though, so maybe I'm 
just crazy.
Comment 4 Viswanath Ramachandran 2000-12-06 11:33:11 PST
Since Don has left, Vishy is taking his bugs in bulk, pending reassignment.
thanks,
	Vishy
Comment 5 Jesse Ruderman 2001-01-07 00:14:48 PST
*** Bug 59058 has been marked as a duplicate of this bug. ***
Comment 6 Jesse Ruderman 2001-01-07 00:18:14 PST
*** Bug 24523 has been marked as a duplicate of this bug. ***
Comment 7 Alex Stewart 2001-01-08 20:43:51 PST
Copying helpwanted keyword from duplicate bug 59058.
Comment 8 shrirang khanzode 2001-01-31 20:13:35 PST
spam : changing qa to sujay (new qa contact for Printing)
Comment 9 xyzzy 2001-08-20 22:51:15 PDT
Is there any CSS style for this, and should there be?
Comment 10 Jesse Ruderman 2001-08-21 22:09:40 PDT
Shouldn't this functionality be part of the OS or printer software?  It seems 
silly for each app to do it...
Comment 11 Blake Ross 2002-07-21 00:25:16 PDT
Reassigning to a real person.
Comment 12 Oleg Sidletskiy 2003-12-06 00:58:38 PST
*** Bug 221683 has been marked as a duplicate of this bug. ***
Comment 13 MechCommanderRei 2004-04-19 14:51:19 PDT
Stating the obvious just in case, note that the function ought to work for
specially selected page ranges (ex. pgs 4-9) as well as for a whole document. 
Hope this function goes in :)
Comment 14 William Bumgarner [:zsinj] 2005-04-04 06:24:18 PDT
*** Bug 265802 has been marked as a duplicate of this bug. ***
Comment 15 Phil Ringnalda (:philor) 2005-09-29 22:49:54 PDT
*** Bug 310540 has been marked as a duplicate of this bug. ***
Comment 16 Akkana Peck 2006-04-23 21:02:22 PDT
Jesse asked (years ago) whether odd/even printing shouldn't be handled by another app. There are lots of ways to print that way in the OS, at least in Linux.

But in firefox, at least, there's no way (through the UI) to modify the print function to pass a duplex or page argument to the printing system, and there's no way I can find (even by editing prefs.js) to add other virtual printers that set the cups arguments page-set=odd or page-set=even.
Comment 17 Steve Garcia 2006-05-12 10:30:24 PDT
It *was* working with Firefox 1.0.x.

With Firefox 1.0.x, the printer properties dialog was fairly crude. You
couldn't set many options, but one thing you could do was type any command line
arguments into a box and get pretty much any print-time option you knew the
command flag for.

Under Firefox 1.5 printer properities dialog is a lot cleaner -- and a lot
barer. I can now choose paper size, margins, and between grayscale and color.
That's it. No command line box, no stretch, no tray selection. If I want to use
duplex printing, for example, I'm out of luck. 

It's probably a lot to ask to request that the print dialog box have provision
for every possible option that a printer might have (as a Windows dialog might
have, or OpenOffice, or Acrobat or...)

But that's ok.  If we can just have the command line box back, you can take
your time getting us printer specific options.

Please?
Comment 18 Edward Z. Yang 2006-05-12 13:14:33 PDT
Just a little note, I recently discovered a quite pleasing feature in my HL-1440 Laser Printer. Print > Properties > Advanced > Duplex and voila. The print driver handles the even/odd page printing for itself, even though it doesn't have an actual duplex module. I suspect that other printers have similar features.
Comment 19 R.N. (Roger) Folsom 2007-07-03 22:54:03 PDT
My own inkjet printer, an HP Deskjet 1200C which uses the LaserJet 4 command set (customized for color) and PCL5, does NOT have a duplex setting, as nearly as I can determine.  In the early 1990s, this printer was very "high end" --- my recollection is that its list price exceeded $2,000, and that I bought mine on an academic discount for about $1200.

So I'm not sure that most recent printers, given that they are much less expensive, have a Duplex printing setting. 

In any case, my view is that Firefox and SeaMonkey (the latter being what I am using) do need an odd-or-even page setting.  Adobe Reader, WordPerfect, and MS Word all have it.

Without it, I must issue a series of single page print commands for page 1, 3, 5, 7, etc., and then and then issue a series of commands to print page 2, 4, 6, 8, etc.

Especially for long documents (such as some newsletters I receive), it would be a major convenience to be able to print all of the odd pages with one command, and then to print all of the even pages with one command.
Comment 20 Kenneth Herron 2008-02-03 12:10:50 PST
This was fixed by the patch for bug 193001, which includes options for duplex and odd/even printing.
Comment 21 Ryan VanderMeulen [:RyanVM] 2008-02-03 12:37:56 PST
That's swell that this bug is fixed for Linux, but it sure isn't fixed for Windows...
Comment 22 Dave Garrett 2010-06-22 06:19:13 PDT
*** Bug 573677 has been marked as a duplicate of this bug. ***
Comment 23 ametedinov 2010-06-22 21:33:14 PDT
"""I found a way to print even only / odd only pages on any OS """""


Go to the about:config and filter for print. Find the options for the particular printer you want to use (if you have several, like I do) and then look for the name that ends on "evenpages" and for the one that ends on "oddpages". Currently they both are set to "true" but if you, for instance, set the "oddpages" one to false, only the even pages would print; and vice versa

********************************************************************************

Note You need to log in before you can comment on or make changes to this bug.